APPSTREAM-INDEX(1)

NAME
appstream-index - Manage the AppStream component index

SYNOPSIS

appstream-index [COMMAND]

DESCRIPTION

This manual page documents briefly the appstream-index command.

appstream-index manages the AppStream index. The AppStream component index contains a list of all available applications for your distribution, matched with their native package names. It is generated using either AppStream-XML, Debian-DEP-11 or Ubuntu AppInstall data, which is provided by your distributor.

For more information about the AppStream project and the other components which are part of it, take a look at the AppStream pages at Freedesktop.org[1].

OPTIONS

get ID
    Get a component by it's identifier.

s, search TERM
    Search the AppStream component database for a given search term.

what-provides TYPE TERM
    Return components which provide a given item. An item type can be specified using the TYPE parameter, a value to search for has to be supplied using the TERM parameter.

    Examples:

    Get components which handle the "text/xml" mimetype.

    appstream-index what-provides mimetype "text/xml"

    Get component which provides the "libfoo.so.2" library.

    appstream-index what-provides lib libfoo.so.2

refresh
    Trigger a database refresh, if necessary. In case you want to force the database to be rebuilt, supply the --force flag.

    This command must be executed with root permission.

--details
    Print out more information about a found component.

--no-color
    Don't print colored output.

--version
    Display the version number of appstream-index

SEE ALSO

pkcon (1).

AUTHOR

This manual page was written by Matthias Klumpp <matthias@tenstral.net>.

COPYRIGHT
Copyright © 2012-2014 Matthias Klumpp

NOTES

1.  Freedesktop.org
    http://www.freedesktop.org/wiki/Distributions/AppStream/